## llvm-defaults 0.55.7~deb12u1

=== debian/changelog ===
llvm-defaults (0.55.7~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 09:59:14 +0200

llvm-defaults (0.55.7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add Breaks against not co-installable packages for smoother upgrades from
    bullseye.  (Closes: #1036580)
  * Fix /usr/include/lld symlink.  (Closes: #1036577)

  [ Sylvestre Ledru ]
  * Silent the breaks-without-version lintian warnings

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Jul 2023 13:00:54 +0200
