## llvm-defaults 0.56~exp2

=== debian/changelog ===
llvm-defaults (0.56~exp2) experimental; urgency=medium

  * Default to 15

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jan 2023 09:13:20 +0100

llvm-defaults (0.56~exp1) experimental; urgency=medium

  * Default to 15

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Aug 2022 15:02:31 +0200
