=== debian/control ===
--- 
+++ 
@@ -254,7 +254,6 @@
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
  liblldb-${pv:llvm}-dev ${reqv:llvm}
-Breaks: lldb-11, python3-lldb-11
 Multi-Arch: same
 Description: Next generation, high-performance debugger, header files
  LLDB is a next generation, high-performance debugger. It is built as a set of
@@ -267,7 +266,6 @@
 Architecture: any
 Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: lldb-11, python3-lldb-11
 Multi-Arch: same
 Description: Next generation, high-performance debugger
  LLDB is a next generation, high-performance debugger. It is built as a set of
@@ -309,3 +307,5 @@
 Section: python
 Architecture: any
 Depends: python3-lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Replaces: python-lldb (<< 0.49~exp2)
+Breaks: python-lldb (<< 0.49~exp2)
