## llvm-defaults 0.57~exp1

=== debian/changelog ===
llvm-defaults (0.57~exp1) experimental; urgency=medium

  * Default to 16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 13:01:45 +0100

llvm-defaults (0.56~exp3) experimental; urgency=medium

  * Create a new dependency package for flang

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Jan 2023 18:12:43 +0100
