=== debian/rules ===
--- 
+++ 
@@ -85,21 +85,23 @@
 # llvm-defaults 0.56 is the first version for 15.
 REL_NO_150   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.57 is the first version for 16.
+REL_NO_160   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
 # minimum required version
 
-REQV            := (>= 15~)
-
-CURRENT_VERSION := 15.0
+REQV            := (>= 16~)
+
+CURRENT_VERSION := 16.0
 
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_150)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_160)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev libclang-rt-dev libc++-dev-wasm32 libclang-rt-dev-wasm32 libclang-rt-dev-wasm64
+all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev libclang-rt-dev libc++-dev-wasm32 libclang-rt-dev-wasm32 libclang-rt-dev-wasm64 flang
 no_packages    :=
 
 EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
@@ -109,11 +111,18 @@
     no_packages += lldb liblldb-dev python3-lldb
 endif
 
-LLD_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 riscv64
+LLD_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 riscv64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_SUPPORTED)))
     all_packages += lld liblld-dev
 else
     no_packages += lld liblld-dev
+endif
+
+FLANG_SUPPORTED=amd64 arm64 mips64el ppc64el kfreebsd-amd64 s390x ppc64 sparc64 riscv64
+ifneq (,$(filter $(DEB_HOST_ARCH),$(FLANG_SUPPORTED)))
+    all_packages += flang
+else
+    no_packages += flang
 endif
 
 
@@ -229,18 +238,3 @@
 		clang-apply-replacements clang-check clang-query \
 		scan-build scan-view sancov; do \
 		dh_link -pclang-tools \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
-			/usr/share/man/man1/$$man.1.gz ; \
-	done
-
-	for man in \
-		clang-format clang-format-diff; do \
-		dh_link -pclang-format \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
-			/usr/share/man/man1/$$man.1.gz ; \
-	done
-
-	for man in \
-		clangd; do \
-		dh_link -pclangd \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
