## llvm-defaults 0.57~exp1ubuntu1

=== debian/changelog ===
llvm-defaults (0.57~exp1ubuntu1) mantic; urgency=medium

  * Don't build flang on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jul 2023 05:24:18 +0200
