=== debian/rules ===
--- 
+++ 
@@ -118,7 +118,7 @@
     no_packages += lld liblld-dev
 endif
 
-FLANG_SUPPORTED=amd64 arm64 mips64el ppc64el kfreebsd-amd64 s390x ppc64 sparc64 riscv64
+FLANG_SUPPORTED=amd64 arm64 mips64el ppc64el kfreebsd-amd64 ppc64 sparc64 riscv64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(FLANG_SUPPORTED)))
     all_packages += flang
 else
@@ -238,3 +238,4 @@
 		clang-apply-replacements clang-check clang-query \
 		scan-build scan-view sancov; do \
 		dh_link -pclang-tools \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
