## llvm-defaults 0.57~exp2

=== debian/changelog ===
llvm-defaults (0.57~exp2) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Add libbolt-dev & bolt as packages (amd64 only)

  [ Gianfranco Costamagna ]
  * Add new libflang-dev package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 18:06:38 +0200
