=== debian/rules ===
--- 
+++ 
@@ -120,9 +120,16 @@
 
 FLANG_SUPPORTED=amd64 arm64 mips64el ppc64el kfreebsd-amd64 ppc64 sparc64 riscv64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(FLANG_SUPPORTED)))
-    all_packages += flang
-else
-    no_packages += flang
+    all_packages += flang libflang-dev
+else
+    no_packages += flang libflang-dev
+endif
+
+BOLT_SUPPORTED=amd64
+ifneq (,$(filter $(DEB_HOST_ARCH),$(BOLT_SUPPORTED)))
+    all_packages += bolt libbolt-dev
+else
+    no_packages += bolt libbolt-dev
 endif
 
 
@@ -232,10 +239,3 @@
 		dh_link -pclang \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
-	done
-
-	for man in \
-		clang-apply-replacements clang-check clang-query \
-		scan-build scan-view sancov; do \
-		dh_link -pclang-tools \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
