## llvm-defaults 0.57~exp2ubuntu1

=== debian/changelog ===
llvm-defaults (0.57~exp2ubuntu1) mantic; urgency=medium

  * Revert bolt addition on amd64, breaks src:bolt

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Aug 2023 07:56:03 +0200
