=== debian/control ===
--- 
+++ 
@@ -288,17 +288,17 @@
  .
  This is a dependency package providing the lld linker.
 
-Package: bolt
-Architecture: any
-Depends: bolt-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: Post-link optimizer
- It achieves the improvements by optimizing application's code layout based on
- execution profile gathered by sampling profiler.
- .
- This is a dependency package providing bolt.
-
+#Package: bolt
+#Architecture: any
+#Depends: bolt-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+#Pre-Depends: ${misc:Pre-Depends}
+#Multi-Arch: same
+#Description: Post-link optimizer
+# It achieves the improvements by optimizing application's code layout based on
+# execution profile gathered by sampling profiler.
+# .
+# This is a dependency package providing bolt.
+#
 Package: python3-clang
 Section: python
 Architecture: any
@@ -308,4 +308,3 @@
 Multi-Arch: same
 Description: Clang Python Bindings
  Clang project is a C, C++, Objective C and Objective C++ front-end
- based on the LLVM compiler. Its goal is to offer a replacement to the
