=== debian/rules ===
--- 
+++ 
@@ -127,9 +127,9 @@
 
 BOLT_SUPPORTED=amd64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(BOLT_SUPPORTED)))
-    all_packages += bolt libbolt-dev
-else
-    no_packages += bolt libbolt-dev
+    all_packages += libbolt-dev
+else
+    no_packages += libbolt-dev
 endif
 
 
@@ -239,3 +239,5 @@
 		dh_link -pclang \
 			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
 			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
