## llvm-defaults 0.58~exp1

=== debian/changelog ===
llvm-defaults (0.58~exp1) experimental; urgency=medium

  * Default to 17
  * Fix duplicated short description lintian
  * Make copyright file dep5 machine readable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 08:53:16 +0200
