## llvm-defaults 0.58deepin1

=== debian/changelog ===
llvm-defaults (0.58deepin1) unstable; urgency=medium

  * Set unstable
  * Add loong64 support

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 28 Mar 2024 11:02:21 +0800
