## llvm-defaults 0.58.1

=== debian/changelog ===
llvm-defaults (0.58.1) unstable; urgency=medium

  * Fix t64 dependency for libomp5.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2024 11:27:13 +0100

llvm-defaults (0.58) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Update of the description of clang package

  [ Matthias Klose ]
  * Fix t64 dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Mar 2024 13:11:54 +0100
