## llvm-defaults 0.59~exp2

=== debian/changelog ===
llvm-defaults (0.59~exp2) experimental; urgency=medium

  [ chenli ]
  * Fix the default selection on loong64

  [ Gianfranco Costamagna ]
  * Merge loong64 0.58~exp2 upload
  * Merge entries for 0.58 and 0.58.1 from sid
    (no renaming necesary for llvm-18)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Mar 2024 12:19:55 +0100

llvm-defaults (0.59~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to 18

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 09:30:40 +0100
