=== debian/rules ===
--- 
+++ 
@@ -88,37 +88,43 @@
 # llvm-defaults 0.57 is the first version for 16.
 REL_NO_160   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.58 is the first version for 17.
+REL_NO_170   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
+# llvm-defaults 0.59 is the first version for 18.
+REL_NO_180   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 # minimum required version
 
-REQV            := (>= 16~)
-
-CURRENT_VERSION := 16.0
+REQV            := (>= 18~)
+
+CURRENT_VERSION := 18.0
 
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_160)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_180)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev libclang-rt-dev libc++-dev-wasm32 libclang-rt-dev-wasm32 libclang-rt-dev-wasm64 flang
 no_packages    :=
 
-EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 loong64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(EXTRA_SUPPORTED)))
     all_packages += lldb liblldb-dev python3-lldb
 else
     no_packages += lldb liblldb-dev python3-lldb
 endif
 
-LLD_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 riscv64
+LLD_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 riscv64 loong64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_SUPPORTED)))
     all_packages += lld liblld-dev
 else
     no_packages += lld liblld-dev
 endif
 
-FLANG_SUPPORTED=amd64 arm64 mips64el ppc64el kfreebsd-amd64 ppc64 sparc64 riscv64
+FLANG_SUPPORTED=amd64 arm64 mips64el ppc64el kfreebsd-amd64 ppc64 sparc64 riscv64 loong64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(FLANG_SUPPORTED)))
     all_packages += flang libflang-dev
 else
@@ -229,12 +235,3 @@
 		llvm-profdata llvm-symbolizer dsymutil llvm-cxxfilt llvm-exegesis \
 		llvm-lib llvm-mca llvm-objcopy llvm-pdbutil llvm-readelf llvm-readobj \
 		llvm-stress llvm-strings llvm-strip opt llvm-addr2line; do \
-		dh_link -pllvm \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
-			/usr/share/man/man1/$$man.1.gz ; \
-	done
-
-	for man in \
-		clang; do \
-		dh_link -pclang \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
